#===============================================================================
# Constants 
#===============================================================================
WORD_SIZE_BITS = 20
WORD_SIZE_BITMASK = (1 << WORD_SIZE_BITS) - 1

QUBITS = 2
QUBASE = 1 << QUBITS
QUBITMASK = QUBASE - 1
WORD_SIZE_QUBITS = WORD_SIZE_BITS / QUBITS

START_ADDR = 100

MEMORY_SIZE = 2000

LINE_LENGTH = 80

IMMEDIATE_ADRS = 0
DIRECT_ADRS = 1
MIXED_ADRS = 2
REGISTER_ADRS = 3

IS_ABS = 'a'
IS_RELOC = 'r'
IS_EXT = 'e'

AS_SUFFIX = ".as"
OB_SUFFIX = ".ob"
ENT_SUFFIX = ".ent"
EXT_SUFFIX = ".ext"

# 2's complements arithmetics
# integers only
# 8 general registers: r0..r7
# PC 
# SP
# PSW with two flags: Carry, Zero
#    Carry = PDW & 0x1
#    Zero = PDW & 0x2
